com.sun.messaging

## Class InvalidPropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - com.sun.messaging.InvalidPropertyException

All Implemented Interfaces:
  Serializable

    public class InvalidPropertyException
    extends JMSException

An `InvalidPropertyException` is thrown when a setProperty is called with an invalid property name parameter.

See Also:
  `javax.jms.ConnectionFactory`, `com.sun.messaging.AdministeredObject.setProperty(propname, propval)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidPropertyException(String property)` Constructs an InvalidPropertyException.

### Method Summary

### Methods inherited from class javax.jms.JMSException

`getErrorCode, getLinkedException, setLinkedException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidPropertyException

    public InvalidPropertyException(String property)

Constructs an InvalidPropertyException.

Parameters:
  `property` - The invalid property name.